Subject: Re: [Bitcoin-development] have there been complains about network congestion? (router crashes, slow internet when running Bitcoin nodes)

From: Angel Leon <[email-masked]>
Date: Tue, 8 Apr 2014 12:36:07 -0400

only that in the real world most routers suck and people don't even know
how to configure them (reminds me of the convo about people not installing
plugins)
this is why the wheel had to be reinvented for the bittorrent world, and it
works.

http://twitter.com/gubatron

On Tue, Apr 8, 2014 at 12:30 PM, Matt Whitlock <[email-masked]>wrote:

> On Tuesday, 8 April 2014, at 12:13 pm, Angel Leon wrote:
> > I was wondering if we have or expect to have these issues in the future,
> > perhaps uTP could help greatly the performance of the entire network at
> > some point.
>
> Or people could simply learn to configure their routers correctly. The
> only time I ever notice that Bitcoind is saturating my upstream link is
> when I try to transfer a file using SCP from a computer on my home network
> to a computer out on the Internet somewhere. SCP sets the "maximize
> throughput" flag in the IP "type of service" field, and my router
> interprets that as meaning low priority, and so those SCP transfers get
> stalled behind Bitcoind. But mostly everything else (e.g., email, web
> browsing, instant messaging, SSH) shows no degration whatsoever regardless
> of what Bitcoind is doing. The key is to move the packet queue from the
> cable modem into the router, where intelligent decisions about packet
> priority and reordering can be enacted.
>
> µTP pretty much reinvents the wheel, and it does so in userspace, where
> the overhead is greater. There's no need for it if proper QoS is in effect.
>